Subject: RE: bug#45821: Emacs UDP support on Windows

From: Alex Matei <[email-masked]>
Date: Thu, 12 Jan 2023 10:59:39 +0000

The only other thing I can think of that might be different from your setup @Eli Zaretskii<mailto:[email-masked]> is the OS version…
I am running W11 21H2..

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Alex Matei<mailto:[email-masked]>
Sent: Thursday, January 12, 2023 2:57 AM
To: Eli Zaretskii<mailto:[email-masked]>; Robert Pluim<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: bug#45821: Emacs UDP support on Windows

I don’t know – at least wasn’t able to pinpoint something given that even if I run the networking tests under GDB, my Emacs just hangs while running the tests, and I have to press C-g to unblock the test run..

Easy repro:

     *   Start Emacs (official build 28.1): typically via runemacs.exe
     *   Load network tests (load-file "../emacs-sourcecode/test/lisp/net/network-stream-tests.el")
     *   (ert-run-tests-interactively)

Expected:

  *   All tests pass

Actual:

  *   Test suit executes, and around test #4 you hit a snag, it hangs, and you need to press C-g to unblock it

Sent from Mail<https://go.microsoft.com/fwlink/?LinkId=550986> for Windows

From: Eli Zaretskii<mailto:[email-masked]>
Sent: Thursday, January 12, 2023 2:46 AM
To: Robert Pluim<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: bug#45821: Emacs UDP support on Windows

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 12 Jan 2023 11:24:45 +0100
>
> Is it worth me trying to get emacs and the tests to run from cmd.exe?

I don't see how would that be different?  And what exactly are the
problems that make this sound like it doesn't work OOTB?  I regularly
run tests in an interactive session I start from cmd.exe or from GDB,
and it always works.

> At the moment that has dll problems, but Iʼm sure theyʼre fixable.

What "dll problems"?